<script>
	import {newsRemind} from "@/utils/api/api.js";//获取商家消息
	export default {
		data:{
			cid:''
		},
		onLaunch: function() {
			// #ifdef APP-PLUS	
			let cID = plus.push.getClientInfo();
			this.cid = cID.clientid
			// console.log(cid)
			
			//app关闭默认的启动 方法关闭启动图。但是这个时间不能太晚，6s 超时后依旧会主动关闭。
			setTimeout(()=>{
				plus.navigator.closeSplashscreen();
				
			},100);
			uni.getNetworkType({ //查看是否有网络
			    success: function (res) {
					if(res.networkType=='none'){
						uni.showModal({
							title:'温馨提示',
							content:'检测到当前未打开网络,请打开网络',
							showCancel:false
						})
						
					}else if(res.networkType=='2g'||res.networkType=='3g'){
						uni.showModal({
							title:'温馨提示',
							content:'检测当前为'+res.networkType+'网络,网速较慢可能造成卡顿',
							showCancel:false
						})
					}
			    }
			});
			// #endif
			
			
			
			
		 
			
			setTimeout(()=>{
				this.getnewsRemind();//不要一上来就提示
			},1000*15)
			
			
		},
		onShow: function() {
			// console.log(this.cid);
			// console.log('App Show')
		}, 
		onHide: function() {
			// console.log('App Hide')
		},
		
		computed: {
			userInfo(){
				return this.$store.state.userInfo;
			}
		},
		methods:{	
			
			//获取 语音消息
			async getnewsRemind(){
				// console.log(this.cid)
				var date = new Date();
				let hours = date.getHours();//当前 时间 小时
				let datestime = 1000*5;//默认15秒
				if(this.$store.state.token!=""){//判断是否 已登录
					let res = await newsRemind({
						uid:this.$store.state.userInfo.user_id,
						cid:this.cid
					})
					
					if(res.code==0){
						if(res.data.length!=0){
							//进来了就是有消息
							let msglist = res.data;
							if(msglist.length==1){
								//一条就播放 如果多条 直接告诉商家多少条
								// isvoice 开关
								if(this.$store.state.isvoice){
									this.$store.dispatch('AudioVoice',msglist[0].message).then((e) => {
										// console.log(e);
										//震动 调用//400ms//长震动
										uni.vibrateLong({
											success:(re)=> {
											},
											fail:(a)=> {
											}
										})
									})
								}else{
									//震动 调用//400ms//长震动
									uni.vibrateLong({
										success:(re)=> {
										},
										fail:(a)=> {
										}
									})
								}
								
							}else if(msglist.length!=0){
								// 类型（0商城快捷支付，1商城快递，2商城店付，3餐饮快捷支付，4达达配送，5堂食,6鹿马配送）
							let KJres = msglist.filter(item =>{
									return item.type==3 
								})
							
							let PSres = msglist.filter(item => {
									return item.type==4 || item.type==5 || item.type==6
							})
			
							
							if(PSres.length !=0 ){
									let msgtext = `你有新鹿马订单,请及时处理`;
									if(this.$store.state.isvoice){
										this.$store.dispatch('AudioVoice',msgtext).then((e) => {
											console.info(e,"循环消息列表2");
											//震动 调用//400ms//长震动
											uni.vibrateLong({
												success:(re)=> {
												},
												fail:(a)=> {
												}
											})
										})
									}else{
										//震动 调用//400ms//长震动
										uni.vibrateLong({
											success:(re)=> {
											},
											fail:(a)=> {
											}
										})
									}
								}
							setTimeout(()=>{
								if(KJres.length != 0){
									let payText =""
									for(let i=0 ;i<KJres.length;i++){
										payText = payText+","+ KJres[i].contents
									}
									console.log(payText);
									let msgtext = `${payText}`;
									if(this.$store.state.isvoice){
										this.$store.dispatch('AudioVoice',msgtext).then((e) => {
											console.info(e,"循环消息列表2");
											//震动 调用//400ms//长震动
											uni.vibrateLong({
												success:(re)=> {
												},
												fail:(a)=> {
												}
											})
										})
									}else{
										//震动 调用//400ms//长震动
										uni.vibrateLong({
											success:(re)=> {
											},
											fail:(a)=> {		
											}
										})
									}
									
								}							
							},1000*5)
					
							}
							//回调
							setTimeout(()=>{
								this.getnewsRemind()
							},datestime)
							
						}else{
							//获取到的消息列表为空列表
							//回调
							setTimeout(()=>{
								this.getnewsRemind()
							},datestime)
						}
					}else{
						//回调
						setTimeout(()=>{
							this.getnewsRemind()
						},datestime)
					}
				}else{
					//回调
					setTimeout(()=>{
						this.getnewsRemind()
					},datestime)
				}
			},
		}
	}
</script>

<style lang="scss">
	/*每个页面公共css */
    @import "colorui/main.css";
    @import "colorui/icon.css";
    @import "./common/uni.css";
	
	@import './common/qiun.css';
	@import './style.css';//我的
</style>
